#!/bin/bash

set -o nounset

cloned_dir="$1"
destination_dir="$2"

function finish {
    rm -rf "$cloned_dir"
}
trap finish EXIT

/usr/local/bin/jekyll build --source "$cloned_dir" --destination "$destination_dir"  2>&1 |& systemd-cat -t "jekyll-cloner" -p "info"
# Sync everything but not timestamp
rsync -rlpgoD /srv/releases/ "$destination_dir/releases/"
rsync -rlpgoD /srv/dennogumi-assets/ "$destination_dir/"
